import { jsx as _jsx } from "react/jsx-runtime";
import { useMemo } from 'react';
import { DIProvider } from './DIProvider.js';
const DIOneTimeProvider = (props) => {
    const { dependencies, self, children, ...rest } = props;
    const memoizedDependencies = useMemo(() => dependencies, []);
    const memoizedSelfDependencies = useMemo(() => self, []);
    return (_jsx(DIProvider, { dependencies: memoizedDependencies, self: memoizedSelfDependencies, ...rest, children: children }));
};
export { DIOneTimeProvider };
//# sourceMappingURL=DIOneTimeProvider.js.map